% This file calls the dicom2vtk script and batch converts a PCMRI DICOM
% sequence all to VTK file
% Image sequence= 1. through-plane velocity  2. magnitude
% Ethan Kung 2/4/2012  keo@alumni.stanford.edu


Venc=15;    %velocity encoding value
slices= 2;   % number of dicom files in sequence

info= dicominfo('MRIm02');  %enter any of the DICOM file in sequence
mask=roipoly(dicomread('MRIm01'));  %select region of interest

outn=1;
for i=1:2:slices
    input= ['MRIm' sprintf('%02d',i)];  %input files name
    output=[ 'test' sprintf('%02d',outn) '.vtk'];  %output files name
    outn= outn +1;
    thruplane_dicom2vtk
end

